[android-components](../../index.md) / [mozilla.components.feature.downloads](../index.md) / [DownloadsUseCases](index.md) / [&lt;init&gt;](./-init-.md)

# &lt;init&gt;

`DownloadsUseCases(store: `[`BrowserStore`](../../mozilla.components.browser.state.store/-browser-store/index.md)`)`

Contains use cases related to the downloads feature.

### Parameters

`store` - the application's [BrowserStore](../../mozilla.components.browser.state.store/-browser-store/index.md).